/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Evaluate 管理XMO 入力チェッククラス
//			変更履歴
//				2004.01.08	新規作成	　　　　　五木田　泰史
//
package jp.co.ntt.lms.xmo.Evaluate;

import jp.co.ntt.lms.xmo.util.XMOCheck;

/**
 * Evaluate 管理XMO 入力チェックのクラスです。<BR>
 * Evaluateテーブルの各フィールドの入力チェック処理を行います。
 * @auther Y.Gokita
 * @version 0.0.0.1 2004/01/08
 */
public class EvaluateCheck extends XMOCheck
	implements EvaluateMessage, EvaluateTable
{
	/**
	* LOIDフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkLoID( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return LOID_HISSU_WAR;
			}
		}

		// LOIDフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, LOID_LENB)) {
			return LOID_LEN_WAR;
		}
		return "";
	}

	/**
	* USERフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkUserID( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return USER_HISSU_WAR;
			}
		}

		//GROUP_NAMEフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, USER_LENB)){
			return USER_LEN_WAR;
		}
		return "";
	}

	/**
	* SCOREフィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkScore( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu( strCheck ) ) {
				return SCORE_HISSU_WAR;
			}
		}

		//GROUP_TYPEフィールドのバイト長チェック
		if(!XMOCheck.checkLenB(strCheck, SCORE_LENB)){
			return SCORE_LEN_WAR;
		}
		return "";
	}

	/**
	* 評価した日時フィールドの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkScoreDate( String strCheck, boolean blHissu )
	{
		// 必須チェック
		if( blHissu )
		{
			if( !XMOCheck.checkHissu(strCheck) )
			{
				return SCOREDATE_HISSU_WAR;
			}
		}
		// 評価した日時フィールドの日付チェック
		if(!XMOCheck.checkDate(strCheck))
		{
			return SCOREDATE_DATE_WAR;
		}
		return "";
	}

	/**
	* コメントの入力チェック処理を行います.
	* @param strCheck チェック文字列
	* @param blHissu 必須チェック区分 true: 必須チェックを行います
	*                                 false: 必須チェックを行いません
	* @return String エラーID チェックＯＫのときは空文字で返します。
	*/
	public static String checkCustomMsgDir( String strCheck, boolean blHissu ) {

		// 必須チェック
		if( blHissu ) {
			if( !XMOCheck.checkHissu(strCheck) ) {
				return CUSTOMMSGDIR_HISSU_WAR;
			}
		}

		//バイト長チェック
		if(!XMOCheck.checkLenB(strCheck, CUSTOM_LENB)){
			return CUSTOMMSGDIR_LEN_WAR;
		}
		return "";
	}


}
